Bug 1882724 - containerized daemons die on dockerd restarts
Summary: containerized daemons die on dockerd restarts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.3z7
Assignee: Dimitri Savineau
QA Contact: Ameena Suhani S H
URL:
Whiteboard:
Depends On:
Blocks: 1578730
TreeView+ depends on / blocked
 
Reported: 2020-09-25 12:53 UTC by Giulio Fidente
Modified: 2021-05-06 18:32 UTC (History)
16 users (show)

Fixed In Version: RHEL: ceph-ansible-3.2.54-1.el7cp Ubuntu: ceph-ansible_3.2.54-2redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-06 18:32:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 6189 0 None closed ceph-mon: add ExecStartPre docker stop to systemd 2021-02-14 13:53:29 UTC
Red Hat Bugzilla 1910842 0 urgent CLOSED [Bug] [RCA] During ceph upgrade all the OSDs (and other ceph services) went down 2021-03-18 13:16:40 UTC
Red Hat Product Errata RHSA-2021:1518 0 None None None 2021-05-06 18:32:28 UTC

Internal Links: 1910842

Description Giulio Fidente 2020-09-25 12:53:29 UTC
it seems that the on containerized deployments the daemons die on dockerd restarts

while the addition of Requires= from BZ#1846830 is masking the problem getting the containers restarted, we should aim at avoiding the stop/start issue entirely (especially for sensible daemons like osds and mdss)

Comment 1 RHEL Program Management 2020-09-25 12:53:37 UTC
Please specify the severity of this bug. Severity is defined here:
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity.

Comment 17 Ameena Suhani S H 2021-03-31 20:36:00 UTC
Verified using 
ansible-2.6.20-1.el7ae.noarch
ceph-ansible-3.2.54-1.el7cp.noarch

Comment 19 errata-xmlrpc 2021-05-06 18:32:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 3.3 Security and Bug Fix Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1518


Note You need to log in before you can comment on or make changes to this bug.